com.thinkaurelius.titan.core.schema

## Interface TitanManagement.IndexBuilder

- Enclosing interface:
    TitanManagement

      public static interface TitanManagement.IndexBuilder

  Builder for `TitanGraphIndex`. Allows for the configuration of a graph index prior to its construction.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TitanManagement.IndexBuilder` | `addKey(PropertyKey key)` Adds the given key to the composite key of this index
    `TitanManagement.IndexBuilder` | `addKey(PropertyKey key, Parameter... parameters)` Adds the given key and associated parameters to the composite key of this index
    `TitanGraphIndex` | `buildCompositeIndex()` Builds a composite index according to the specification
    `TitanGraphIndex` | `buildMixedIndex(String backingIndex)` Builds a mixed index according to the specification against the backend index with the given name (i.e.
    `TitanManagement.IndexBuilder` | `indexOnly(TitanSchemaType schemaType)` Restricts this index to only those elements that have the provided schemaType.
    `TitanManagement.IndexBuilder` | `unique()` Makes this a unique index for the configured element type, i.e.

- - ### Method Detail

    - #### addKey

          TitanManagement.IndexBuilder addKey(PropertyKey key)

      Adds the given key to the composite key of this index
      Parameters:
        `key` -
      Returns:
        this IndexBuilder

    - #### addKey

          TitanManagement.IndexBuilder addKey(PropertyKey key,
                                            Parameter... parameters)

      Adds the given key and associated parameters to the composite key of this index
      Parameters:
        `key` -
        `parameters` -
      Returns:
        this IndexBuilder

    - #### indexOnly

          TitanManagement.IndexBuilder indexOnly(TitanSchemaType schemaType)

      Restricts this index to only those elements that have the provided schemaType. If this graph index indexes vertices, then the argument is expected to be a vertex label and only vertices with that label will be indexed. Likewise, for edges and properties only those with the matching relation type will be indexed.
      Parameters:
        `schemaType` -
      Returns:
        this IndexBuilder

    - #### unique

          TitanManagement.IndexBuilder unique()

      Makes this a unique index for the configured element type, i.e. an index key can be associated with at most one element in the graph.
      Returns:
        this IndexBuilder

    - #### buildCompositeIndex

          TitanGraphIndex buildCompositeIndex()

      Builds a composite index according to the specification
      Returns:
        the created composite `TitanGraphIndex`

    - #### buildMixedIndex

          TitanGraphIndex buildMixedIndex(String backingIndex)

      Builds a mixed index according to the specification against the backend index with the given name (i.e. the name under which that index is configured in the graph configuration)
      Parameters:
        `backingIndex` - the name of the mixed index
      Returns:
        the created mixed `TitanGraphIndex`

Copyright © 2012–2014. All rights reserved.